mscorlib 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false) System.Runtime.InteropServices.ComVisible(true) System.Runtime.InteropServices.Guid("9DE59C64-D889-35A1-B897-587D74469E5B") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown) System.Runtime.InteropServices.TypeLibImportClass(typeof(System.Reflection.EventInfo))

This interface is for access to managed classes from unmanaged code and should not be called from managed code.

This interface preserves the vtable order of the class members that can be accessed by unmanaged COM objects.

Exposes the public members of the class to unmanaged code.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method adds an event handler to an event source.

  Provides COM objects with version-independent access to the method.

  The event source. A method or methods to be invoked when the event is raised by the target. 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.EventAttributes To be added.

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The property gets the attributes for this event.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The property gets the class that declares this member.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method determines whether the specified is equal to the current .

  Provides COM objects with version-independent access to the method.

  true if the specified is equal to the current ; otherwise, false.

  The to compare with the current . 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The property gets the object of the underlying event-handler delegate associated with this event.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method returns the method used to add an event-handler delegate to the event source.

  Provides COM objects with version-independent access to the method.

  A object representing the method used to add an event-handler delegate to the event source.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method retrieves the object for the method of the event and specifies whether to return non-public methods

  Provides COM objects with version-independent access to the method.

  A object representing the method used to add an event-handler delegate to the event source.

  true to return non-public methods; otherwise, false. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method retrieves the object for the method of the event and specifies whether to return non-public methods

  Provides COM objects with version-independent access to the method.

  An array that contains all the custom attributes, or an array with zero (0) elements if no attributes are defined.

  true to search a member's inheritance chain to find the attributes; otherwise, false. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method returns an array of custom attributes identified by .

  Provides COM objects with version-independent access to the method.

  An array of custom attributes applied to this member, or an array with zero (0) elements if no attributes have been applied.

  The type of attribute to search for. Only attributes that are assignable to this type are returned. true to search this member's inheritance chain to find the attributes; otherwise, false. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method serves as a hash function for a particular type. is suitable for use in hashing algorithms and data structures such as a hash table.

  Provides COM objects with version-independent access to the method.

  The hash code for the current instance.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method returns the method that is called when the event is raised.

  Provides COM objects with version-independent access to the method.

  The method that is called when the event is raised.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method returns the method that is called when the event is raised and specifies whether to return non-public methods.

  Provides COM objects with version-independent access to the method.

  The object that was called when the event was raised.

  true to return non-public methods; otherwise, false. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method returns the method used to remove an event-handler delegate from the event source.

  Provides COM objects with version-independent access to the method.

  A object representing the method used to remove an event-handler delegate from the event source.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method retrieves the object for removing a method of the event and specifies whether to return non-public methods.

  Provides COM objects with version-independent access to the method.

  A object representing the method used to remove an event-handler delegate from the event source.

  true to return non-public methods; otherwise, false. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method gets the type of the current instance.

  Provides COM objects with version-independent access to the method.

  A object.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. A pointer to the requested type information object. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method indicates whether one or more instances of the parameter are applied to this member.

  Provides COM objects with version-independent access to the method.

  true if one or more instance of the parameter is applied to this member; otherwise, false.

  The Type object to which the custom attributes are applied. true to search this member's inheritance chain to find the attributes; otherwise, false. 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The property gets a value indicating whether the event is multicast.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The property gets a value indicating whether the object has a name with a special meaning.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberTypes To be added.

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The property gets a value indicating that this member is an event.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The property gets the name of the current member.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The property gets the class object that was used to obtain this instance.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method removes an event handler from an event source.

  Provides COM objects with version-independent access to the method.

  The event source. The delegate to be disassociated from the events raised by target. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  Provides COM objects with version-independent access to the method.

  A string that represents the current .

  2.0.0.0